#
# Local settings can be configured without being overwritten by package upgrades, for example
# if you want to increase mcollective open-files-limit to 10000,
# you need to increase systemd's LimitNOFILE setting, so create a file named
# "/etc/systemd/system/mcollective.service.d/limits.conf" containing:
# [Service]
# LimitNOFILE=10000
# You can confirm it worked by running systemctl daemon-reload
# then running systemctl show mcollective | grep LimitNOFILE
#
[Unit]
Description=The Marionette Collective
After=network.target

[Service]
Type=simple
Environment=LANG=C SYSTEMD_COLORS=false
ExecStart=/opt/puppetlabs/puppet/bin/mcollectived --config=/etc/puppetlabs/mcollective/server.cfg --no-daemonize
ExecReload=/bin/kill -USR1 $MAINPID
KillMode=control-group

[Install]
WantedBy=multi-user.target
